Kroger Ad Platform API

Create A Campaign

Creates a PLA or Carousel campaign in the Media Platform. A campaign is an organized strategy used to achieve specific, actionable goals like: providing information to customers, building brand awareness, promoting a new product, or convincing customers to make a purchase. Read more about Campaigns in ourMedia Platform Learning Center.

post
https://api.8451.com/kap/v2/campaigns

Body

application/json

CampaignRequest

namestringrequired

The campaign name.

statusstringrequired

Allowed values:DRAFTSCHEDULEDACTIVEENDEDPAUSED

startDatestringrequired

The start date of the campaign. Format: YYYY-MM-DD

Match pattern:\d{4}-\d{2}-\d{2}

endDateAny Of

The end date of the campaign. Must be after start date. If null the campaign is considered “always-on”. Cannot be null if budget type is LIFETIME

Default:

Variant 1string

Match pattern:\d{4}-\d{2}-\d{2}

budgetAmountnumberrequired

The total budget of the campaign. The sum of all the budgets from the ad group(s) may not exceed this number.

>= 1

budgetTypestringrequired

Allowed values:DAILYWEEKLYMONTHLYLIFETIME

pacingTypestringrequired

Allowed values:EVENASAPAHEAD

accountIdintegerrequired

Id from the Account entity.

advertiserIdsarray[integer]required

Ids from the Advertiser entities associated with the account.

billingInsertionOrderAny Of

Insertion order number for this campaign.

Variant 1string
billingPurchaseOrderAny Of

Purchase order number for this campaign.

Variant 1string
billingAdditionalDetailsAny Of

Notes that the advertiser wants to notify the billing department.

Variant 1string
billingContactIdintegerrequired

Id from the Contact entity associated with the account.

billingAddressIdintegerrequired

Id from the Address entity associated with the account.

campaignTypeAny Of

Type for this campaign.

Default:PLA

CampaignTypestring

Allowed values:PLATOACAROUSEL

goalsarray | null[object]

Goals data associated with the campaign.

Show Child Parameters

Response

application/json

Sample success response

SingleResponse[Campaign]

dataAny Of

Data of the response.

Campaignobject
Show Child Parameters
metaobjectrequired
Show Child Parameters
post/campaigns

Body

{ "name": "string", "status": "DRAFT", "startDate": "string", "endDate": "", "budgetAmount": 0, "budgetType": "DAILY", "pacingType": "EVEN", "accountId": 0, "advertiserIds": [ 0 ], "billingInsertionOrder": {}, "billingPurchaseOrder": {}, "billingAdditionalDetails": {}, "billingContactId": 0, "billingAddressId": 0, "campaignType": "PLA", "goals": [ { "type": "", "value": 0, "priority": 0 } ] }
 
application/json

Get Campaign By Id

Get a campaign from the Media Platform by ID. Read more about Campaigns in our Media Platform Learning Center.

get
https://api.8451.com/kap/v2/campaigns/{campaign_id}

Query Parameters

include.adgroupsboolean

If true, returns the ad groups associated with this campaign as an array.

Default:false

Path Parameters

campaign_idintegerrequired

Response

application/json

Successful Response

SingleResponse[Campaign]

dataAny Of

Data of the response.

Campaignobject
Show Child Parameters
metaobjectrequired
Show Child Parameters
get/campaigns/{campaign_id}
 
application/json

Update Campaign

Update a campaign in the Media Platform. Read more about Campaigns in our Media Platform Learning Center.

put
https://api.8451.com/kap/v2/campaigns/{campaign_id}

Path Parameters

campaign_idintegerrequired

Body

application/json

CampaignPutRequest

namestringrequired

The campaign name.

statusAny Of

The status of the campaign. Can not be changed at the same time as endDate. To cancel a scheduled campaign, set the status to PAUSE and set the end date to match the start date.

CampaignStatusstring

Allowed values:DRAFTSCHEDULEDACTIVEENDEDPAUSED

startDateAny Of

The start date of the campaign. Can only be changed when status is DRAFT. Can not be changed at the same time as status. Format: YYYY-MM-DD

Variant 1string

Match pattern:\d{4}-\d{2}-\d{2}

endDateAny Of

The end date of the campaign. Must be after start date. A live campaign can be stopped by setting end date to today’s date. If null the campaign is considered “always-on”. Cannot be null if budget type is LIFETIME

Default:

Variant 1string

Match pattern:\d{4}-\d{2}-\d{2}

budgetAmountnumberrequired

The total budget of the campaign. The sum of all the budgets from the ad group(s) may not exceed this number.

>= 1

budgetTypeAny Of

The type of budget. Can only be changed when status is DRAFT.

BudgetTypestring

Allowed values:DAILYWEEKLYMONTHLYLIFETIME

pacingTypestringrequired

Allowed values:EVENASAPAHEAD

billingInsertionOrderAny Of

Insertion order number for this campaign. Can only be changed when status is DRAFT.

Variant 1string
billingPurchaseOrderAny Of

Purchase order number for this campaign. Can only be changed when status is DRAFT.

Variant 1string
billingAdditionalDetailsAny Of

Notes that the advertiser wants to notify the billing department.

Variant 1string
goalsarray | null[object]

Goals to be updated.

Show Child Parameters

Response

application/json

Successful Response

SingleResponse[Campaign]

dataAny Of

Data of the response.

Campaignobject
Show Child Parameters
metaobjectrequired
Show Child Parameters
put/campaigns/{campaign_id}

Body

{ "name": "string", "status": {}, "startDate": {}, "endDate": "", "budgetAmount": 0, "budgetType": {}, "pacingType": "EVEN", "billingInsertionOrder": {}, "billingPurchaseOrder": {}, "billingAdditionalDetails": {}, "goals": [ { "type": "", "value": 0, "priority": 0 } ] }
 
application/json

Get Remaining Budget Campaign By Id

Get Remaining campaign from the Media Platform by ID.

get
https://api.8451.com/kap/v2/campaigns/{campaign_id}/remaining_budget

Path Parameters

campaign_idintegerrequired

Response

application/json

Successful Response

CampaignRemainingBudgetResponse

remainingBudgetAmountstringrequired

The budget amount remaining for the campaign.

Match pattern:^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$

get/campaigns/{campaign_id}/remaining_budget
 
application/json

Current User Information

Current User Information

get
https://api.8451.com/kap/v2/users/me

Response

200 application/json

Successful Response

User

firstNamestring

The first name of the user.

Default:

lastNamestring

The last name of the user.

Default:

emailstring

The email of the user.

Default:

organizationstring

The organization of the user.

Default:

get/users/me
 
200 application/json